local ActGhostreconTaskConditionTemplate = BaseClass("ActGhostreconTaskConditionTemplate")
local __init = function(self)
  self.type = 0
  self.value = 0
  self.num = 0
end
local __delete = function(self)
  self.type = nil
  self.value = nil
  self.num = nil
end
local InitData = function(self, cfg)
  local type, value, num = string.match(cfg, "(%d+)[;](%d+)[;](%d+)")
  self.type = tonumber(type)
  self.value = tonumber(value)
  self.num = tonumber(num)
end
ActGhostreconTaskConditionTemplate.__init = __init
ActGhostreconTaskConditionTemplate.__delete = __delete
ActGhostreconTaskConditionTemplate.InitData = InitData
return ActGhostreconTaskConditionTemplate
